Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.issues
Class Issue

    java.lang.Object
      com.bea.apps.groupspace.content.ContentBaseImpl
          com.bea.apps.groupspace.content.CommunityContent
              com.bea.apps.groupspace.issues.Issue

All Implemented Interfaces
  ContentBase, Serializable

    public class Issue

extends CommunityContent

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.apps.groupspace.content.CommunityContent
`CommunityContent.NodeType, CommunityContent.Visibility`

Field Summary
`static String` | `IS_KNOWLEDGE`
`static String` | `NOTES`
`static String` | `PRIORITY`
`static String` | `PRIORITY_HIGH`
`static String` | `PRIORITY_LOW`
`static String` | `PRIORITY_MEDIUM`
`static String` | `RESOLUTION`
`static String` | `STATUS`
`static String` | `STATUS_CLOSED`
`static String` | `STATUS_IN_PROGRESS`
`static String` | `STATUS_OPEN`
`static String` | `TYPE_NAME`

Fields inherited from class com.bea.apps.groupspace.content.CommunityContent
`CC_DESCRIPTION, CC_OWNER, CC_RELATED_NODES, CC_TITLE, CC_VISIBILITY, hiddenRelatedContent, hiddenRelatedContentIsSet, relatedContent, relatedContentIsSet, visibility`

Fields inherited from class com.bea.apps.groupspace.content.ContentBaseImpl
`node, typeName`

Constructor Summary
`Issue()` Need this
`Issue(Node node)` Create the Issue from a Node

Method Summary
`com.bea.apps.groupspace.icons.Icon` | `getIcon()`
`com.bea.apps.groupspace.icons.Icon` | `getIcon(com.bea.apps.groupspace.icons.Icon.Size size)`
`String` | `getNotes()`
`String` | `getPriority()`
`String` | `getResolution()`
`String` | `getStatus()`
`boolean` | `isKnowledge()`
`void` | `setIsKnowledge(boolean isKnowledge)`
`void` | `setNotes(String notes, String encoding)`
`void` | `setPriority(String p)`
`void` | `setResolution(String r)`
`void` | `setStatus(String s)`

Methods inherited from class com.bea.apps.groupspace.content.CommunityContent
`convertVisibilityString, getDescription, getDisplayName, getOwner, getTitle, getVisibility, getVisibilityString, isPrivate, setDescription, setOwner, setRelatedContent, setTitle, setVisibility`

Methods inherited from class com.bea.apps.groupspace.content.ContentBaseImpl
`arrayAsValueArray, equals, getContentType, getCreatedBy, getCreatedDate, getCurrentParentFolderId, getDestinationFolderId, getId, getModifiedBy, getModifiedDate, getName, getNode, getNodePath, getNodeProperties, getNodeProperty, getNodeType, getParentId, getStringValues, getValue, hashCode, isContentNode, isHierarchyNode, setCurrentParentFolderId, setDestinationFolderId, setNode, setProperty, setProperty, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_NAME

    public static final String TYPE_NAME

See Also
  Constants Summary

### STATUS

    public static final String STATUS

See Also
  Constants Summary

### RESOLUTION

    public static final String RESOLUTION

See Also
  Constants Summary

### PRIORITY

    public static final String PRIORITY

See Also
  Constants Summary

### IS_KNOWLEDGE

    public static final String IS_KNOWLEDGE

See Also
  Constants Summary

### NOTES

    public static final String NOTES

See Also
  Constants Summary

### PRIORITY_HIGH

    public static final String PRIORITY_HIGH

See Also
  Constants Summary

### PRIORITY_LOW

    public static final String PRIORITY_LOW

See Also
  Constants Summary

### PRIORITY_MEDIUM

    public static final String PRIORITY_MEDIUM

See Also
  Constants Summary

### STATUS_OPEN

    public static final String STATUS_OPEN

See Also
  Constants Summary

### STATUS_IN_PROGRESS

    public static final String STATUS_IN_PROGRESS

See Also
  Constants Summary

### STATUS_CLOSED

    public static final String STATUS_CLOSED

See Also
  Constants Summary

Constructor Detail

### Issue

    public Issue()

  Need this

### Issue

    public Issue(Node node)

  Create the Issue from a Node

Method Detail

### getResolution

    public String getResolution()

### setResolution

    public void setResolution(String r)

### getStatus

    public String getStatus()

### setStatus

    public void setStatus(String s)

### getPriority

    public String getPriority()

### setPriority

    public void setPriority(String p)

### isKnowledge

    public boolean isKnowledge()

### setIsKnowledge

    public void setIsKnowledge(boolean isKnowledge)

### getIcon

    public com.bea.apps.groupspace.icons.Icon getIcon()

  Specified by:
    `getIcon` in interface `ContentBase`
  Overrides:
    `getIcon` in class `CommunityContent`

### getIcon

    public com.bea.apps.groupspace.icons.Icon getIcon(com.bea.apps.groupspace.icons.Icon.Size size)

  Overrides:
    `getIcon` in class `CommunityContent`

### getNotes

    public String getNotes()
                    throws AuthorizationException,
                           NoSuchPropertyException,
                           IOException

  Throws
    `AuthorizationException`
    `NoSuchPropertyException`
    `IOException`

### setNotes

    public void setNotes(String notes,
                         String encoding)
                  throws CharacterCodingException

  Throws
    `CharacterCodingException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved